{% extends 'CoreGUIBundle::base_app.html.twig' %}

{% block head_script %}
    {{parent()}}
    <script type="text/javascript" src="{{ asset('bundles/coreseguridad/js/jquery.ui.shake.js') }}"></script>

{% endblock head_script %}

    {% block container %}
        
    {% endblock container%}
    
    {% block body_end_before_js %}
    {% endblock body_end_before_js %}

    {% block foot_script %}   
        {% block foot_script_assetic %}
            
        {% endblock foot_script_assetic %}
    {% endblock foot_script %}


{% block body %}
    <body >

 
    <div class="main-container" id="main-container">

     <div class="main-content">
         <div class="page-header center blue" >
         <!-- navbar goes here -->
        <h2>  SOLICITUD CERTIFICADO DE VACUNACIÓN MSP  </h2>
        <div class="hr hr-double hr8"></div>
     </div>


      <div class="page-content">
        <div class="row">
          <div class="col-xs-12 center ">
                <img src="{{asset("bundles/coregui/app/images/logomsp.png")}}" width="250px"/>
          </div>
        </div> 
     
        <div class="row" >
            <div class="col-xs-2 "></div>
            <div class="col-xs-8 blue ">
                <div class="header smaller lighter blue"></div>

                <section>
                    {% if form is defined and not form is empty %}
                        {% set myaction=path('hcue_paciente_certificadovacuna_public_createorupdate') %}
                        {{ form_start(form, {'action': myaction,'attr': {'id': 'frmcertificadovacuna', 'onKeypress':"if(event.keyCode == 13) event.returnValue = false;"}}) }}
                                {{form_row(form.cttipoidentificacion)}}
                                {{form_row(form.identificacion)}}
                                {{form_row(form.fechanacimiento)}}
                                <div class="container-fluid">
                                    <div class="col-sm-11">
                                        {{form_row(form.correo)}}
                                    </div>
                                    <div class="col-sm-1">
                                        <div>
                                            <href onclick= 'actualizarcorreo()' id = "btnactualizarcorreo" class=" btn btn-sm btn-primary btn-white btn-round">
                                                <i class="ace-icon fa fa-pencil bigger-120 blue"></i>
                                                Actualizar
                                            </href>
                                        </div> 
                                    </div>
                                </div>
                                {{form_row(form.fechaexpedicion)}}
                        <div class="center">
                            <a id="btnsolicitar" class="btn btn-app btn-primary no-radius" onclick="solicitarcertificado()">
                                <i class="ace-icon fa fa-envelope bigger-200"></i>
                                Solicitar
                            </a>
                        </div>
                        {{ form_end(form) }}
                    {% endif %}
                </section>
                

            </div>
            <div class="col-xs-2 "></div>
        </div>
        
      </div><!-- /.page-content -->
     </div><!-- /.main-content -->
	 

    </body>
{% endblock body%}

{% block body_end %}

            <script type="text/javascript">

                $( document ).ready(function() {
                      
   
                   $('#frmcertificadovacuna').trigger("reset");

                    $('#frmcertificadovacuna').initInputsForm();
                    $("#frmcertificadovacuna").validationForm();

                    $("#form_fechaexpedicion").parent().parent().hide();
                    $("#form_correo").parent().parent().hide();
                    $("#form_correo").attr('readonly',true);


                    $("#btnsolicitar").hide();
                    $("#btnactualizarcorreo").hide();

                    $.include_once('bootstrap.datetimepicker', function () {
                        $('#form_fechanacimiento, #form_fechaexpedicion',).datetimepicker({
                            format: 'YYYY-MM-DD',
                            maxDate: new Date,
                            minDate: new Date("1910")
                        })


                    })
                    $('#form_identificacion').change(function(){
                        $.ajax({
                            type: 'POST',
                            dataType: 'json',
                            async: true,
                            url:  "{{ path('hcue_paciente_public_datos') }}",
                            data: $("#frmcertificadovacuna").serialize(),
                            success: function (json) {  
                                if(json.data.status){
                                    $("#form_correo").parent().parent().show();
                                    $("#btnsolicitar").show();
                                    $("#btnactualizarcorreo").show();
                                    $("#form_correo").val(json.data.correo);
                                }else{
                                    $.alert(json.data.message, 'danger');
                                    $("#btnsolicitar").hide();
                                    $("#form_correo").parent().parent().hide();
                                    $("#btnactualizarcorreo").hide();
                                    $("#form_identificacion").val("");
                                    $("#form_fechanacimiento").val("");
                                    $("#form_fechaexpedicion").parent().parent().val("");
                                    $("#form_fechaexpedicion").parent().parent().hide();
                                }                             
                            }
                        })
                    });

                });

                function solicitarcertificado(){
                    if($("#frmcertificadovacuna").valid()){
                        $("#btnsolicitar").hide();
                        $.ajax({
                            type: 'POST',
                            dataType: 'json',
                            async: true,
                            url:  "{{ path('hcue_paciente_certificadovacuna_public_validatevacuna') }}",
                            data: $("#frmcertificadovacuna").serialize(),
                            success: function (json) {                                
                                if (json.status) {
                                    $("#btnsolicitar").show();
                                    var html='';
                                    if(json.vacunadata){
                                        for(var i = 0; i < (json.vacunadata).length; i++){
                                            html+='</br>Vacuna:<b>' +json.vacunadata[i]['nombrevacuna']+  '</b>, Dosis:  <b>'+json.vacunadata[i]['dosis']+'</b>, Fecha de Vacunación: <b>'+json.vacunadata[i]['fechavacunacion']['date'].substr(0,10)+'</b>'
                                        }
                                    }
                                    $.confirm("<div class='alert alert-warning center'>"+ json.message+ html+", <br>El certificado será enviado al correo registrado: <b>"+json.pacientedata['correo']+"</b>, está seguro de realizar esta solicitud ?</div>", function (result) {
                                        if (result) {
                                             $("#frmcertificadovacuna").submit();
                                        }
                                    });
                                } else {
                                    $.alert(json.message, 'danger');
                                    $("#btnsolicitar").show();
                                }
                            }
                        })
                    }
                    
                    
                }

                function actualizarcorreo(){
                    $("#form_fechaexpedicion").parent().parent().show();
                    $("#form_correo").attr('readonly',false);
                    $("#form_fechaexpedicion").attr('required','true');
                }
            </script>

<div class="center">
Copyright (c) 2021 - MSP
</div>

{% endblock body_end %}
